Skip to main content

Ad Engagement

Ad Engagement Audiences provide a way to target users who have taken a specific action on ads with an ad account or specific campaign(s) within an ad account.

Attributes​

AttributeDescriptionRequiredPossible Values
nameAudience segment nameR375 characters max
ad_account_idAd account ID for the new audienceRXXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
engagement_specsAn array of first-party engagement specsRSee below example
source_typeOverall data source typeRENGAGEMENT
source_subtypeOverall data source subtypeRAD_ENGAGEMENT
retention_in_days# of days to retain audience membersRKeep this value at 395 days

Engagement Specs​

Each object in engagement_specs is OR(ed) by default, it's the only operative supported.

AttributeDescriptionRequiredPossible Values
engagement_typeThe type of engagement the user had with the entityRSNAP_ADS_SWIPE_UP, SNAP_ADS_TOP_VIEW_THRU_100, PROMOTED_STORY_TAP, CREATIVE_TOOLS_USE, PAID_IMPRESSIONS, NATIVE_LEAD_GEN_SUBMITTED
source_typeThe entity type used to seed the audienceRAD_SQUAD, CAMPAIGN, AD_ACCOUNT
source_idThe ID of the entity used to seed the audience, these entities must live in the Ad Account specified for the segmentR

Engagement type​

This table describes the user engagements available via the engagement_type attribute.

Descriptionengagement_type
Clicked on an Image or a Video AdSNAP_ADS_SWIPE_UP
Completed watching a Top Snap video adSNAP_ADS_TOP_VIEW_THRU_100
Opened a Story AdPROMOTED_STORY_TAP
Shared or saved a Lens or a FilterCREATIVE_TOOLS_USE
Were served a paid Ad impressionPAID_IMPRESSIONS
Submitted a native lead generation formNATIVE_LEAD_GEN_SUBMITTED

Example request​

In this example, the first engagement spec item specifies any Promoted Story Tap within the specified Campaign Id. The second engagement spec item again sets the conditions of a Promoted Story Tap but this time within the specified Ad Account Id.

curl -X POST 'https://adsapi.snapchat.com/v1/adaccounts/{ad_account_id}/segments' \
--header 'Authorization: Bearer meowmeowmeow' \
--header 'Content-Type: application/json' \
--data '{
"segments": [
{
"name": "Ad_Engagement_Test",
"ad_account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"engagement_specs": [
{
"engagement_type": "PROMOTED_STORY_TAP",
"source_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"source_type": "CAMPAIGN"
},
{
"engagement_type": "PROMOTED_STORY_TAP",
"source_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"source_type": "AD_ACCOUNT"
}
],
"source_type": "ENGAGEMENT",
"source_subtype": "AD_ENGAGEMENT",
"retention_in_days": 395
}
]
}'
Was this page helpful?
Yes
No